# Class CIM_RangeOfIPAddresses
extends CIM_SystemSpecificCollection

The class RangeOfIPAddresses represents an implicit grouping (or 'pool') of IP addresses specified by the properties, Start and EndAddress. It is defined as scoped/contained by a system such as an individual network element or an admin domain.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_RangeOfIPAddresses

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The class RangeOfIPAddresses represents an implicit grouping (or 'pool') of IP addresses specified by the properties, Start and EndAddress. It is defined as scoped/contained by a system such as an individual network element or an admin domain.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressType | uint16 |
Description | string | An enumeration that defines how the address and mask properties are formatted.
ValueMap | string | 0, 1, 2
Values | string | Unknown, IPv4, IPv6
EndAddress | string |
Description | string | The ending IP address of the AddressRange, formatted according to the appropriate convention as defined in the AddressType property of this class (e.g., 171.79.6.40).
ModelCorrespondence | string | CIM_RangeOfIPAddresses.AddressType
StartAddress | string |
Description | string | The starting IP address of the AddressRange, formatted according to the appropriate convention as defined in the AddressType property of this class (e.g., 171.79.6.40).
ModelCorrespondence | string | CIM_RangeOfIPAddresses.AddressType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods